Commits

camlspotter committed f2709ab

auto commit

Comments (0)

Files changed (1)

 #!/bin/sh
+
+set -e
+
 for i in `find .. -iname OMakefile | xargs grep -l 'file-exists OMakeroot'`
 do
-  echo `dirname $i`
-  cp OMyMakefile `dirname $i`
+  dir=`dirname $i`
+  echo $dir
+  cp OMyMakefile $dir
+  (cd $dir; hg commiit -m 'auto update of OMyMakefile' OMyMakefile)
 done